MCP Tools Reference: paydeveloper.googleapis.com

工具:validate_pass_jwt

驗證票證的 JWT 表示法,或票證的未編碼 JWT 酬載 (JSON 字串)。

下列範例示範如何使用 curl 叫用 validate_pass_jwt MCP 工具。

Curl 要求
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "validate_pass_jwt",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

輸入內容的結構定義

要求訊息,用於驗證票證的 JWT 表示法,或票證的未編碼 JWT 酬載 (以 JSON 字串形式)。

ValidatePassJwtRequest

JSON 表示法
{

  // Union field resource can be only one of the following:
  "passJwt": string,
  "passJson": string
  // End of list of possible types for union field resource.
}
欄位
聯集欄位 resource。要驗證的資源。必須設定其中一個。resource 只能是下列其中一項:
passJwt

string

用來表示 JWT 的字串,格式說明請見下方網站:https://developers.google.com/wallet/reference/rest/v1/Jwt

passJson

string

JSON 字串,代表未編碼的憑證 JWT 酬載,格式說明請見 https://developers.google.com/wallet/reference/rest/v1/Jwt。這可以設為該連結中說明的完整 JSON 表示法,也可以只設為包含相關憑證類別和物件的酬載欄位內容。

輸出內容的結構定義

驗證票證的 JWT 表示法,或票證的未編碼 JWT 酬載 (以 JSON 字串形式) 時,傳回的回應訊息。

工具註解

破壞性提示:❌ | 等冪提示:✅ | 唯讀提示:✅ | 開放世界提示:❌